import { Observable } from 'rxjs';
import { TapInfoRequestService } from './tap-info/tap-info-request.service';
import { TapInfoCacheService } from './tap-info/tap-info-cache.service';
import { TapInfoDAOService } from './tap-info/tap-info-dao.service';
import * as i0 from "@angular/core";
export declare class TapTargetConnectService {
    private tapInfoCache;
    private infoResolver;
    private tapInfoDAOService;
    error?: Error;
    connectedChange: Observable<boolean>;
    loading: boolean;
    constructor(tapInfoCache: TapInfoCacheService, infoResolver: TapInfoRequestService, tapInfoDAOService: TapInfoDAOService);
    isConnected(): boolean;
    refresh(): Promise<boolean>;
    /**
     * Connect to target
     * @throws if target connection failed
     */
    connect(): Promise<void>;
    disconnect(): Promise<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TapTargetConnectService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TapTargetConnectService>;
}
